searchData={"items":[{"type":"module","title":"GoogleApi.LocalServices.V1","doc":"API client metadata for GoogleApi.LocalServices.V1.","ref":"GoogleApi.LocalServices.V1.html"},{"type":"function","title":"GoogleApi.LocalServices.V1.discovery_revision/0","doc":"","ref":"GoogleApi.LocalServices.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Api.AccountReports","doc":"API calls for all endpoints tagged `AccountReports`.","ref":"GoogleApi.LocalServices.V1.Api.AccountReports.html"},{"type":"function","title":"GoogleApi.LocalServices.V1.Api.AccountReports.localservices_account_reports_search/3","doc":"Get account reports containing aggregate account data of all linked GLS accounts. Caller needs to provide their manager customer id and the associated auth credential that allows them read permissions on their linked accounts.","ref":"GoogleApi.LocalServices.V1.Api.AccountReports.html#localservices_account_reports_search/3"},{"type":"function","title":"Parameters - GoogleApi.LocalServices.V1.Api.AccountReports.localservices_account_reports_search/3","doc":"*   `connection` (*type:* `GoogleApi.LocalServices.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"endDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"endDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"endDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of accounts to return. If the page size is unset, page size will default to 1000. Maximum page_size is 10000. Optional.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous request to SearchAccountReports that indicates where listing should continue. Optional.\n    *   `:query` (*type:* `String.t`) - A query string for searching for account reports. Caller must provide a customer id of their MCC account with an associated Gaia Mint that allows read permission on their linked accounts. Search expressions are case insensitive. Example query: | Query | Description | |-------------------------|-----------------------------------------------| | manager_customer_id:123 | Get Account Report for Manager with id 123. | Required.\n    *   `:\"startDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"startDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"startDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.LocalServices.V1.Api.AccountReports.html#localservices_account_reports_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.LocalServices.V1.Api.AccountReports.localservices_account_reports_search/3","doc":"*   `{:ok, %GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.LocalServices.V1.Api.AccountReports.html#localservices_account_reports_search/3-returns"},{"type":"module","title":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports","doc":"API calls for all endpoints tagged `DetailedLeadReports`.","ref":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports.html"},{"type":"function","title":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports.localservices_detailed_lead_reports_search/3","doc":"Get detailed lead reports containing leads that have been received by all linked GLS accounts. Caller needs to provide their manager customer id and the associated auth credential that allows them read permissions on their linked accounts.","ref":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports.html#localservices_detailed_lead_reports_search/3"},{"type":"function","title":"Parameters - GoogleApi.LocalServices.V1.Api.DetailedLeadReports.localservices_detailed_lead_reports_search/3","doc":"*   `connection` (*type:* `GoogleApi.LocalServices.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"endDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"endDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"endDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of accounts to return. If the page size is unset, page size will default to 1000. Maximum page_size is 10000. Optional.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous request to SearchDetailedLeadReports that indicates where listing should continue. Optional.\n    *   `:query` (*type:* `String.t`) - A query string for searching for account reports. Caller must provide a customer id of their MCC account with an associated Gaia Mint that allows read permission on their linked accounts. Search expressions are case insensitive. Example query: | Query | Description | |-------------------------|-----------------------------------------------| | manager_customer_id:123 | Get Detailed Lead Report for Manager with id | | | 123. | Required.\n    *   `:\"startDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"startDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"startDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports.html#localservices_detailed_lead_reports_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.LocalServices.V1.Api.DetailedLeadReports.localservices_detailed_lead_reports_search/3","doc":"*   `{:ok, %GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.LocalServices.V1.Api.DetailedLeadReports.html#localservices_detailed_lead_reports_search/3-returns"},{"type":"module","title":"GoogleApi.LocalServices.V1.Connection","doc":"Handle Tesla connections for GoogleApi.LocalServices.V1.","ref":"GoogleApi.LocalServices.V1.Connection.html"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.LocalServices.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.LocalServices.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.LocalServices.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.LocalServices.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.LocalServices.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.LocalServices.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.LocalServices.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.LocalServices.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.LocalServices.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.LocalServices.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.LocalServices.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.LocalServices.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.LocalServices.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.LocalServices.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.LocalServices.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.LocalServices.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.LocalServices.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.LocalServices.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.LocalServices.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.LocalServices.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.LocalServices.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.LocalServices.V1.Connection.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport","doc":"An Account Report of a GLS account identified by their account id containing aggregate data gathered from a particular date range. Next ID: 18","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Unique identifier of the GLS account.\n*   `aggregatorInfo` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.t`, *default:* `nil`) - Aggregator specific information related to the account.\n*   `averageFiveStarRating` (*type:* `float()`, *default:* `nil`) - Average review rating score from 1-5 stars.\n*   `averageWeeklyBudget` (*type:* `float()`, *default:* `nil`) - Average weekly budget in the currency code of the account.\n*   `businessName` (*type:* `String.t`, *default:* `nil`) - Business name of the account.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - Currency code of the account.\n*   `currentPeriodChargedLeads` (*type:* `String.t`, *default:* `nil`) - Number of charged leads the account received in current specified period.\n*   `currentPeriodConnectedPhoneCalls` (*type:* `String.t`, *default:* `nil`) - Number of connected phone calls (duration over 30s) in current specified period.\n*   `currentPeriodPhoneCalls` (*type:* `String.t`, *default:* `nil`) - Number of phone calls in current specified period, including both connected and unconnected calls.\n*   `currentPeriodTotalCost` (*type:* `float()`, *default:* `nil`) - Total cost of the account in current specified period in the account's specified currency.\n*   `impressionsLastTwoDays` (*type:* `String.t`, *default:* `nil`) - Number of impressions that customers have had in the past 2 days.\n*   `phoneLeadResponsiveness` (*type:* `float()`, *default:* `nil`) - Phone lead responsiveness of the account for the past 90 days from current date. This is computed by taking the total number of connected calls from charged phone leads and dividing by the total number of calls received.\n*   `previousPeriodChargedLeads` (*type:* `String.t`, *default:* `nil`) - Number of charged leads the account received in previous specified period.\n*   `previousPeriodConnectedPhoneCalls` (*type:* `String.t`, *default:* `nil`) - Number of connected phone calls (duration over 30s) in previous specified period.\n*   `previousPeriodPhoneCalls` (*type:* `String.t`, *default:* `nil`) - Number of phone calls in previous specified period, including both connected and unconnected calls.\n*   `previousPeriodTotalCost` (*type:* `float()`, *default:* `nil`) - Total cost of the account in previous specified period in the account's specified currency.\n*   `totalReview` (*type:* `integer()`, *default:* `nil`) - Total number of reviews the account has up to current date.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo","doc":"Conatiner for aggregator specific information if lead is for an aggregator GLS account.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo","doc":"*   `aggregatorProviderId` (*type:* `String.t`, *default:* `nil`) - Provider id (listed in aggregator system) which maps to a account id in GLS system.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead","doc":"Container for booking lead specific information.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead","doc":"*   `bookingAppointmentTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when service is provided by advertiser.\n*   `consumerEmail` (*type:* `String.t`, *default:* `nil`) - Consumer email associated with the booking lead.\n*   `consumerPhoneNumber` (*type:* `String.t`, *default:* `nil`) - Consumer phone number associated with the booking lead.\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - Name of the customer who created the lead.\n*   `jobType` (*type:* `String.t`, *default:* `nil`) - The job type of the specified lead.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport","doc":"A Detailed Lead Report of a lead identified by their lead id and contains consumer, account, monetization, and lead data.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Identifies account that received the lead.\n*   `aggregatorInfo` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AggregatorInfo.t`, *default:* `nil`) - Aggregator specific information related to the lead.\n*   `bookingLead` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1BookingLead.t`, *default:* `nil`) - More information associated to only booking leads.\n*   `businessName` (*type:* `String.t`, *default:* `nil`) - Business name associated to the account.\n*   `chargeStatus` (*type:* `String.t`, *default:* `nil`) - Whether the lead has been charged.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - Currency code.\n*   `disputeStatus` (*type:* `String.t`, *default:* `nil`) - Dispute status related to the lead.\n*   `geo` (*type:* `String.t`, *default:* `nil`) - Location of the associated account's home city.\n*   `googleAdsLeadId` (*type:* `String.t`, *default:* `nil`) - Unique identifier of a Detailed Lead Report.\n*   `leadCategory` (*type:* `String.t`, *default:* `nil`) - Lead category (e.g. hvac, plumber)\n*   `leadCreationTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when the lead was created.\n*   `leadId` (*type:* `String.t`, *default:* `nil`) - Deprecated in favor of google_ads_lead_id. Unique identifier of a Detailed Lead Report.\n*   `leadPrice` (*type:* `float()`, *default:* `nil`) - Price of the lead (available only after it has been charged).\n*   `leadType` (*type:* `String.t`, *default:* `nil`) - Lead type.\n*   `messageLead` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.t`, *default:* `nil`) - More information associated to only message leads.\n*   `phoneLead` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.t`, *default:* `nil`) - More information associated to only phone leads.\n*   `timezone` (*type:* `GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.t`, *default:* `nil`) - Timezone of the particular provider associated to a lead.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead","doc":"Container for message lead specific information.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead","doc":"*   `consumerPhoneNumber` (*type:* `String.t`, *default:* `nil`) - Consumer phone number associated with the message lead.\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - Name of the customer who created the lead.\n*   `jobType` (*type:* `String.t`, *default:* `nil`) - The job type of the specified lead.\n*   `postalCode` (*type:* `String.t`, *default:* `nil`) - The postal code of the customer who created the lead.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1MessageLead.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead","doc":"Container for phone lead specific information.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead","doc":"*   `chargedCallTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of the phone call which resulted in a charged phone lead.\n*   `chargedConnectedCallDurationSeconds` (*type:* `String.t`, *default:* `nil`) - Duration of the charged phone call in seconds.\n*   `consumerPhoneNumber` (*type:* `String.t`, *default:* `nil`) - Consumer phone number associated with the phone lead.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1PhoneLead.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse","doc":"A page of the response received from the SearchAccountReports method. A paginated response where more pages are available has `next_page_token` set. This token can be used in a subsequent request to retrieve the next request page.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse","doc":"*   `accountReports` (*type:* `list(GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1AccountReport.t)`, *default:* `nil`) - List of account reports which maps 1:1 to a particular linked GLS account.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token to retrieve the next page of results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchAccountReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse","doc":"A page of the response received from the SearchDetailedLeadReports method. A paginated response where more pages are available has `next_page_token` set. This token can be used in a subsequent request to retrieve the next request page.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse","doc":"*   `detailedLeadReports` (*type:* `list(GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1DetailedLeadReport.t)`, *default:* `nil`) - List of detailed lead reports uniquely identified by external lead id.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token to retrieve the next page of results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleAdsHomeservicesLocalservicesV1SearchDetailedLeadReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone","doc":"Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).","ref":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.html"},{"type":"module","title":"Attributes - GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - IANA Time Zone Database time zone. For example \"America/New_York\".\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. IANA Time Zone Database version number. For example \"2019a\".","ref":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.html#module-attributes"},{"type":"function","title":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.html#decode/2"},{"type":"type","title":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.t/0","doc":"","ref":"GoogleApi.LocalServices.V1.Model.GoogleTypeTimeZone.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}